Package commoble.databuddy.nbt

# Class NBTListCodec.ListTagType<T>

java.lang.Object
commoble.databuddy.nbt.NBTListCodec.ListTagType<T>

Type Parameters:
  `T` - tag type

Enclosing class:
  NBTListCodec<ENTRY,RAW>

public static class NBTListCodec.ListTagType<T> extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final NBTListCodec.ListTagType<Byte>`
`BYTE`
byte tag type
`static final NBTListCodec.ListTagType<net.minecraft.nbt.CompoundTag>`
`COMPOUND`
map tag type
`static final NBTListCodec.ListTagType<Double>`
`DOUBLE`
double tag type
`static final NBTListCodec.ListTagType<Float>`
`FLOAT`
float tag type
`static final NBTListCodec.ListTagType<Integer>`
`INTEGER`
int tag type
`static final NBTListCodec.ListTagType<net.minecraft.nbt.ListTag>`
`LIST`
list tag type
`static final NBTListCodec.ListTagType<Short>`
`SHORT`
short tag type
`static final NBTListCodec.ListTagType<String>`
`STRING`
string tag type

## Constructor Summary

Constructors
Constructor
Description
`ListTagType(int tagID, NBTListCodec.ListReader<T> listReader, Function<T,net.minecraft.nbt.Tag> serializer)`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### BYTE

public static final NBTListCodec.ListTagType<Byte> BYTE
byte tag type

### SHORT

public static final NBTListCodec.ListTagType<Short> SHORT
short tag type

### INTEGER

public static final NBTListCodec.ListTagType<Integer> INTEGER
int tag type

### FLOAT

public static final NBTListCodec.ListTagType<Float> FLOAT
float tag type

### DOUBLE

public static final NBTListCodec.ListTagType<Double> DOUBLE
double tag type

### STRING

public static final NBTListCodec.ListTagType<String> STRING
string tag type

### LIST

public static final NBTListCodec.ListTagType<net.minecraft.nbt.ListTag> LIST
list tag type

### COMPOUND

public static final NBTListCodec.ListTagType<net.minecraft.nbt.CompoundTag> COMPOUND
map tag type

## Constructor Details

### ListTagType

public ListTagType(int tagID, NBTListCodec.ListReader<T> listReader, Function<T,net.minecraft.nbt.Tag> serializer)

Parameters:
  `tagID` - int id of the nbt type
  `listReader` - ListReader for indexing the list
  `serializer` - Function to serialize a T to an nbt Tag